Subject: bug#23919: hideif.el

From: Kenneth Johansson <[email-masked]>
Date: Fri, 8 Jul 2016 15:57:15 +0200

GNU Emacs 24.5.1 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9) of 
2016-04-17 on lgw01-04, modified by Debian

I got a result I did not expect where the hide-ifdef mode was hiding 
more than it should .

here is the test file
-------------------------
main()
{
#if defined(A)
         not_this_A();
#else
#if defined (B)
         not_this_B();
#else
#if defined (C)
         this();
#endif
#endif
#endif

#if defined(A)
         not_this_A();
#elif defined (B)
         not_this_B();
#elif defined (C)
         this();
#endif

}
-------------------------

now doing hide when no variables is defined shows the correct result. 
but when you define C then only the top variant shows the this() 
function call and that do not look right to me. if this is intended then 
the whole mode is more or less useless.

tried to test the emacs version in git but it miss compiled so I do not 
know if this is already fixed.